<?php
date_default_timezone_set('america/sao_paulo');

$pasta = 'vendas_bkp/';
// criação da pasta de backups de venda
if (!is_dir($pasta)) {
  mkdir($pasta, 0777, true);
}

$diretorio = dir($pasta);
$nome_arquivo = isset($_GET['nome_arquivo']) ? $_GET['nome_arquivo'] : 'JsonVenda';

//salvar arquivo na pasta de bkp
$texto = file_get_contents('php://input');
$backup = fopen($pasta.$nome_arquivo . '.txt', 'w');
if ($backup == false) die('Não foi possível criar o arquivo.');
fwrite($backup, $texto);
fclose($backup);
$diretorio->close();
